from django.urls import path, include
from rest_framework import routers
from .views import PaperViewSet, paper_pdf_view

API_BASE_URL = 'api/resm/'
HTML_BASE_URL = 'resm/'

router = routers.DefaultRouter()
router.register('paper', PaperViewSet, basename="paper")

urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
    path('resm/paper/<str:pk>/pdf/', paper_pdf_view, name='paper-pdf'),
]